yharaです。

2010年7月30日6:50 Hidetoshi NAGAI <nagai / ai.kyutech.ac.jp>:
> う〜む.
> Aqua 版にもかかわらず,X11 版用の TK_XINCLUDES を使用しているのですね.
> コンパイルが止まってしまう問題は,以下のパッチで大丈夫だと思います.
> 検索の優先順位をどうするかについては判断がつかないので
> 保留とさせてください.
>
了解です。

いただいたパッチで、コンパイルが通ったことを報告しておきます。
実行されるコマンドは
/usr/bin/gcc-4.0 -I. -I. -I/opt/local/lib/ruby/1.8/i686-darwin9 -I.
-I/System/Library/Frameworks/Tcl.framework/Versions/8.4/Headers
-I/System/Library/Frameworks/Tk.framework/Versions/8.4/Headers (後略)
のようになります。

> Index: extconf.rb
> ===================================================================
> --- extconf.rb  (revision 28788)
> +++ extconf.rb  (working copy)
> @@ -1224,11 +1224,11 @@
>       puts("Can't find X11 libraries. So, can't make tcltklib.so which is required by Ruby/Tk.")
>       exit
>     end
> +  end
>
> -    if TkConfig_Info['TK_XINCLUDES'] &&
> -        !TkConfig_Info['TK_XINCLUDES'].strip.empty?
> -      $INCFLAGS << " " << TkConfig_Info['TK_XINCLUDES'].strip
> -    end
> +  if TkConfig_Info['TK_XINCLUDES'] &&
> +      !TkConfig_Info['TK_XINCLUDES'].strip.empty?
> +    $INCFLAGS << " " << TkConfig_Info['TK_XINCLUDES'].strip
>   end
>
>   use_X
>
> --

-- 
原 悠